-- 执行程序
DELETE FROM t_sch_taskdefine WHERE FID = '22/C1Q88XX/U';
INSERT INTO t_sch_taskdefine(FID,FCLASSNAME,FAPPID,FNUMBER) VALUES ('22/C1Q88XX/U','kd.fi.ai.task.ClearVchReportTask','ai','AI_ClearVchReportTask');
DELETE FROM t_sch_taskdefine_l WHERE FPKID = '22/C1Q88XI76';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('22/C1Q88XX/U','22/C1Q88XI76','zh_CN','清理凭证生成报告');
DELETE FROM t_sch_taskdefine_l WHERE FPKID = '22/C1Q88XI77';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('22/C1Q88XX/U','22/C1Q88XI77','zh_TW','清理憑證生成報告');

-- 调度作业
DELETE FROM T_SCH_JOB WHERE FID = '22/BX6P/R6NF';
INSERT INTO T_SCH_JOB(FID,FTASKCLASSNAME,FTASKDEFINEID,FRUNMODE,FRUNBYUSERID,FJOBTYPE,FSTATUS,FNUMBER,FCONCURRENT,FSTRATEGY,FTIMEOUT,FRETRYTIME,FRUNBYLANG,FCANSTOP,FPARAMS,FRUNBYORGID) VALUES ('22/BX6P/R6NF','kd.fi.ai.task.ClearVchReportTask','22/C1Q88XX/U','0',1,'BIZ','1','ai_AI_ClearVchReport_SKDJ_S','0','1',0,0,' ','0','{"MonthsAgo":"2"}',1);
DELETE FROM T_SCH_JOB_L WHERE FPKID = '22/BX6P/QTUT';
INSERT INTO T_SCH_JOB_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('22/BX6P/R6NF','22/BX6P/QTUT','zh_CN','清理凭证生成报告');
DELETE FROM T_SCH_JOB_L WHERE FPKID = '22/BX6P/QTUU';
INSERT INTO T_SCH_JOB_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('22/BX6P/R6NF','22/BX6P/QTUU','zh_TW','清理憑證生成報告');

DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '22/C53R9UJPZ';
INSERT INTO T_SCH_JOBPARAMS(FID,FMUST,FPARAMTYPE,FENTRYID,FSEQ,FPARAMDEFVALUE,FBASEDATAINFO,FPARAMVALUE,FPARAMNAME) VALUES ('22/BX6P/R6NF','1','1','22/C53R9UJPZ',1,NULL,' ','3','MonthsAgo');
DELETE FROM T_SCH_JOB_N WHERE FID = '22/BX6P/R6NF';
INSERT INTO T_SCH_JOB_N(FID,FJOBPRINCIPAL,FOVERTIME,FSUCCESSNOTIFY,FJOBMSGRECEIVER,FMSGCONTENT,FFAILNOTIFY,FNOTIFYTYPE,FCAPTION) VALUES ('22/BX6P/R6NF',0,'0','0',0,' ','1',' ','调度作业通知');

-- 调度计划
DELETE FROM T_SCH_SCHEDULE WHERE FID = '22/CB6G0IDP0';
INSERT INTO T_SCH_SCHEDULE(FTWENTY,FFIVE,FELEVEN,FNINE,FNO,FSUN,FTWO,FEIGHT,FNOV,FPLAN,FWED,FHOST,FTWENTYTWO,FFOUR,FMAR,FSEP,FENDTIME,FSIX,FMAY,FREPEATMODE,FTHIRTYONE,FBYDAYORWEEK,FTWENTYSEVEN,FTWENTYSIX,FTHIRTEEN,FAUG,FDESC,FFIFTEEN,FTWENTYONE,FBYWEEK,FTUES,FSEVENTEEN,FSEVEN,FTWENTYFOUR,FMON,FTHIRTY,FTHREE,FFOURTEEN,FJAN,FNINETEEN,FTHUR,FTEN,FFRI,FJOBID,FSTARTTIME,FOCT,FAPR,FSIXTEEN,FID,FSAT,FONE,FTWENTYEIGHT,FTWENTYTHREE,FTWELVE,FNOWEEK,FSTATUS,FNUMBER,FTWENTYFIVE,FEIGHTEEN,FCYCLENUM,FTWENTYNINE,FJUL,FDEC,FJUN,FFEB) VALUES ('0','0','0','0',' ','1','0','0','0','0 1 3 ? * 1','0','172.19.105.161','0','0','0','0',{ts'2050-12-31  00:00:00'},'0','0','w','0','d','0','0','0','0','事件将于2021-12-03 11:01:53起，
每1周的星期日3时重复。
预计最近十次执行时间：
2021-12-05 03:01:00,
2021-12-12 03:01:00,
2021-12-19 03:01:00,
2021-12-26 03:01:00,
2022-01-02 03:01:00,
2022-01-09 03:01:00,
2022-01-16 03:01:00,
2022-01-23 03:01:00,
2022-01-30 03:01:00,
2022-02-06 03:01:00','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','22/BX6P/R6NF',{ts'2021-12-03  00:00:00'},'0','0','0','22/CB6G0IDP0','0','0','0','0','0',' ','1','AI_ClearVchReport','0','0',1,'0','0','0','0','0');
DELETE FROM T_SCH_SCHEDULE_L WHERE FPKID = '22/CB6G0ISHO';
INSERT INTO T_SCH_SCHEDULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('22/CB6G0IDP0','22/CB6G0ISHO','zh_CN','清理凭证生成报告');
DELETE FROM T_SCH_SCHEDULE_L WHERE FPKID = '22/CB6G0ISHP';
INSERT INTO T_SCH_SCHEDULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('22/CB6G0IDP0','22/CB6G0ISHP','zh_TW','清理憑證生成報告');
DELETE FROM T_SCH_SCHEDULE_N WHERE FID = '22/CB6G0IDP0';
INSERT INTO T_SCH_SCHEDULE_N(FID,FSNOTIFYTYPE,FMSGRECEIVER,FSMSGCONTENT,FSTIMEOUT,FSCHPRINCIPAL,FSSUCCESSNOTIFY,FSFAILNOTIFY) VALUES ('22/CB6G0IDP0',' ',0,' ','0',0,'0','1');

DELETE FROM t_sch_schedule_entry WHERE FENTRYID = '22/CB6G0IDP1';
INSERT INTO t_sch_schedule_entry(FID,FJOBNUMBER,FENTRYID,FSEQ) VALUES ('22/CB6G0IDP0','22/BX6P/R6NF','22/CB6G0IDP1',1);





